
Redmine - Defect #8163

Problem with report and details

2011-04-15 17:04 - Rodrigo Guerrero

Status: Closed Start date: 2011-04-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Hi, I did permission: "See advanced report" but when I try to access, show me this error:

Processing TimelogController#report (for ip at 2011-04-15 12:58:22) [GET]

Parameters: {"project_id"=>"ID_PROJECT", "action"=>"report", "controller"=>"timelog"}

Rendering template within layouts/base

Rendering common/error (403)

Filter chain halted as [:authorize] rendered_or_redirected.

Completed in 129ms (View: 119, DB: 3) | 403 Forbidden [http://localhost/projects/TT-09-637-OS054/timelog/report]

Processing TimelogController#details (for ip at 2011-04-15 13:00:37) [GET]

Parameters: {"project_id"=>"ID_PROJECT", "action"=>"details", "controller"=>"timelog"}

Rendering template within layouts/base

Rendering common/error (403)

Filter chain halted as [:authorize] rendered_or_redirected.

Completed in 1569ms (View: 1558, DB: 3) | 403 Forbidden [http://localhost/projects/TT-09-637-OS054/timelog/details]

History

#1 - 2011-04-15 17:18 - Rodrigo Guerrero

Forget the permission. When I try to see Report or Details, show me this error:

Processing TimelogController#report (for ip at 2011-04-15 12:58:22) [GET]

Parameters: {"project_id"=>"ID_PROJECT", "action"=>"report", "controller"=>"timelog"}

Rendering template within layouts/base

Rendering common/error (403)

Filter chain halted as [:authorize] rendered_or_redirected.

Completed in 129ms (View: 119, DB: 3) | 403 Forbidden [http://localhost/projects/TT-09-637-OS054/timelog/report]

Processing TimelogController#details (for ip at 2011-04-15 13:00:37) [GET]

Parameters: {"project_id"=>"ID_PROJECT", "action"=>"details", "controller"=>"timelog"}

Rendering template within layouts/base

Rendering common/error (403)

Filter chain halted as [:authorize] rendered_or_redirected.

Completed in 1569ms (View: 1558, DB: 3) | 403 Forbidden [http://localhost/projects/TT-09-637-OS054/timelog/details]

#2 - 2011-04-15 18:32 - Etienne Massip

- Category set to Time tracking

What's your Redmine version, plugins, gems, etc. (see SubmittingBugs) ?

#3 - 2011-04-15 18:35 - Rodrigo Guerrero

Etienne Massip wrote:

What's your Redmine version, plugins, gems, etc. (see SubmittingBugs) ?

 Hi Etienne, the version is the devel (At revision 5472) I don't change plugins or change in the last update (svn update).

#4 - 2011-04-15 18:37 - Etienne Massip

What's the result of a svn info in Redmine dir and what's your gem list ?
#5 - 2011-04-15 18:39 - Rodrigo Guerrero

Etienne Massip wrote:

What's the result of a svn info in Redmine dir and what's your gem list ?

 svn info:

Path: .

URL: svn://rubyforge.org/var/svn/redmine/trunk

Repository Root: svn://rubyforge.org/var/svn/redmine

Repository UUID: e93f8b46-1217-0410-a6f0-8f06a7374b81

Revision: 5472

Node Kind: directory

Schedule: normal

Last Changed Author: tmaruyama

Last Changed Rev: 5472

Last Changed Date: 2011-04-15 10:22:51 -0400 (Fri, 15 Apr 2011)

gem list:

LOCAL GEMS ***

aaronh-chronic (0.3.9)

aaronp-frex (1.0.1)

abstract (1.0.0)

actionmailer (3.0.6, 3.0.0, 2.3.11, 2.3.8, 2.3.5)

actionpack (3.0.6, 3.0.0, 2.3.11, 2.3.8, 2.3.5)

activemodel (3.0.6, 3.0.0)

activerecord (3.0.6, 3.0.0, 2.3.11, 2.3.8, 2.3.5)

activeresource (3.0.6, 3.0.0, 2.3.11, 2.3.8, 2.3.5)

activesupport (3.0.6, 3.0.0, 2.3.11, 2.3.8, 2.3.5)

acts-as-list (0.1.2)

acts-as-taggable-on (2.0.6, 2.0.4)

addressable (2.2.5, 2.2.4, 2.2.1, 2.2.0, 2.1.2)

after_commit (1.0.8, 1.0.7)

allison (2.0.3)

arel (2.0.9, 1.0.1)

Ascii85 (1.0.0)

aws-s3 (0.6.2)

builder (3.0.0, 2.1.2)

bundler (1.0.12, 1.0.11, 1.0.0, 1.0.0.rc.3, 1.0.0.rc.1, 0.9.26, 0.9.24, 0.9.23, 0.9.21, 0.9.20, 0.9.18)

calendar_date_select (1.16.2, 1.16.1)

capybara (0.4.1.2, 0.3.9, 0.3.7, 0.3.6)

celerity (0.8.9)

cgi_multipart_eof_fix (2.5.0)

childprocess (0.1.8)

chronic (0.3.0, 0.2.3)

columnize (0.3.2, 0.3.1)

completeness-fu (0.6.0, 0.5.2)

configuration (1.2.0, 1.1.0)

cucumber (0.10.2, 0.9.0, 0.8.5, 0.6.4)

cucumber-rails (0.4.1, 0.3.2, 0.3.0)

culerity (0.2.15, 0.2.12, 0.2.10, 0.2.9)

daemon_controller (0.2.6)

daemons (1.1.2, 1.1.0, 1.0.10)

database_cleaner (0.6.6, 0.5.2, 0.5.0)

diff-lcs (1.1.2)

echoe (4.5.6, 4.3.1, 4.3)

erubis (2.7.0, 2.6.6)

eventmachine (0.12.10)

factory_girl (1.3.3, 1.3.2, 1.3.1, 1.2.4)

faker (0.9.5, 0.3.1)

faraday (0.6.0, 0.4.6)

fastercsv (1.5.4, 1.5.3, 1.5.0)

fastthread (1.0.7)

ferret (0.11.6)

ffi (1.0.7, 0.6.3)

gchartrb (0.8)

gem_plugin (0.2.3)

gemcutter (0.7.0, 0.6.1)

gherkin (2.3.5, 2.2.4, 2.2.0, 2.1.5)

googlecharts (1.6.1, 1.6.0)

haml (3.0.25, 3.0.18, 3.0.16, 3.0.15, 3.0.14, 3.0.0.beta.2, 2.2.22)

hoe (2.9.4, 2.6.2, 2.6.1, 2.6.0)

holidays (1.0.0, 0.9.3)

2025-05-01 2/4



hpricot (0.8.4, 0.8.2)

i18n (0.5.0, 0.4.2, 0.4.1, 0.3.7, 0.3.6)

icalendar (1.1.6, 1.1.5, 1.1.4, 1.1.3, 1.1.0)

json (1.5.1, 1.4.6, 1.4.3, 1.4.1, 1.2.4)

json_pure (1.5.1, 1.4.6, 1.2.4, 1.2.3)

launchy (0.4.0, 0.3.7)

libxml-ruby (1.1.4, 1.1.3)

linecache (0.43)

mail (2.2.15, 2.2.6.1, 2.2.5)

memcache-client (1.8.5, 1.8.3, 1.8.2)

mime-types (1.16)

mini_magick (3.2, 2.1, 1.3.2)

mongrel (1.1.5)

multi_json (0.0.5, 0.0.4)

multipart-post (1.1.0)

mysql (2.8.1)

nokogiri (1.4.4, 1.4.3.1, 1.4.2, 1.4.1)

notahat-machinist (1.0.3)

oauth (0.4.4, 0.4.3, 0.4.1)

oauth2 (0.3.0, 0.2.0, 0.0.13, 0.0.10)

paperclip (2.3.11, 2.3.10, 2.3.3, 2.3.1.1)

passenger (3.0.6, 2.2.15, 2.2.11, 2.2.9)

pdf-reader (0.9.1)

pg (0.10.1, 0.9.0)

pickle (0.4.7, 0.4.2, 0.3.4, 0.3.1, 0.3.0, 0.2.12, 0.2.8, 0.2.5)

polyglot (0.3.1)

populator (1.0.0, 0.2.5)

prawn (0.11.1, 0.8.4)

prawn-core (0.8.4)

prawn-layout (0.8.4)

prawn-security (0.8.4)

rack (1.2.2, 1.2.1, 1.1.0, 1.0.1)

rack-mount (0.7.1, 0.6.14, 0.6.13)

rack-test (0.5.7, 0.5.5, 0.5.4, 0.5.3)

rails (3.0.6, 3.0.0, 2.3.11, 2.3.8, 2.3.5)

railties (3.0.6, 3.0.0)

rake (0.8.7)

rdiscount (1.6.8, 1.6.5)

RedCloth (4.2.7, 4.2.3, 4.2.2)

riddle (1.2.2, 1.1.0, 1.0.12)

rmagick (2.13.1)

rspec (2.5.0, 1.3.0)

rspec-core (2.5.1)

rspec-expectations (2.5.0)

rspec-mocks (2.5.0)

rspec-rails (2.5.0, 1.3.2)

ruby-debug (0.10.4, 0.10.3)

ruby-debug-base (0.10.4, 0.10.3)

rubyforge (2.0.4)

rubygems-update (1.7.2, 1.3.7, 1.3.6)

rubyist-aasm (2.1.1)

rubyzip (0.9.4)

selenium-webdriver (0.1.4, 0.0.28, 0.0.27, 0.0.18, 0.0.17)

smurf (1.0.6, 1.0.4, 1.0.3)

splattael-activerecord_base_without_table (0.1.1)

sprockets (1.0.2)

sprockets-rails (0.0.1)

sqlite3-ruby (1.2.5)

subexec (0.1.0, 0.0.4)

SystemTimer (1.2.3, 1.2)

term-ansicolor (1.0.5)

test-spec (0.10.0)

text-format (1.0.0)

text-hyphen (1.0.2, 1.0.0)

thinking-sphinx (2.0.3, 1.3.20, 1.3.18)

thor (0.14.6, 0.14.1, 0.14.0)

thoughtbot-shoulda (2.11.1, 2.10.2)

tmail (1.2.7.1)

treetop (1.4.9, 1.4.8, 1.4.5)

trollop (1.16.2)

ttfunk (1.0.1)

tzinfo (0.3.26, 0.3.23, 0.3.22, 0.3.20, 0.3.18)

vestal_versions (1.0.2)

webrat (0.7.3, 0.7.1, 0.7.0)

whenever (0.6.7, 0.5.2, 0.5.0, 0.4.2, 0.4.1)
will_paginate (2.3.15, 2.3.14, 2.3.12)

xml-simple (1.0.15, 1.0.12)

xpath (0.1.3)

ya2yaml (0.30, 0.29.2)

yard (0.6.7, 0.6.1, 0.6.0)

ZenTest (4.5.0, 4.4.0, 4.3.3, 4.3.1)

#6 - 2011-04-15 18:45 - Rodrigo Guerrero

Plugins:

Bulk Time Entry 0.5.0

Customer plugin 0.2.0

Projects Tree View plugin 0.0.4

Redmine Graphs plugin 0.1.0

Knowledgebase 0.2.5

Redmine Schedules plugin 0.4.2

#7 - 2011-04-16 16:14 - Etienne Massip

My bet'd be that this is a plugin issue with either Bulk Time Entry or Redmine Schedules, could you try without these plugins ?

#8 - 2011-04-16 19:22 - Rodrigo Guerrero

Etienne Massip wrote:

My bet'd be that this is a plugin issue with either Bulk Time Entry or Redmine Schedules, could you try without these plugins ?

 Etienne, I did it and the problem persists.

#9 - 2011-04-18 09:45 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

My bad, according to #7745, it's a Project Tree View plugin issue.

#10 - 2011-04-18 14:07 - Rodrigo Guerrero

Etienne Massip wrote:

My bad, according to #7745, it's a Project Tree View plugin issue.

 thank very much!! etienne, the problem is resolved
